/*
 * dynamodb_reserved_words.cc
 *
 *  Created on: Mar 25, 2015
 *      Author: csabaraduly
 */

#include "dynamodb_reserved_words.h"
#include <string.h>

namespace aws {

#include "hasher.h"

bool DynamoDBReservedWords::is_reserved(std::string const& word)
{
    return Perfect_Hash::in_word_set(word.c_str(), word.size());
}

#if 0
bool DynamoDBReservedWords::is_reserved(const char* word)
{
    return Perfect_Hash::in_word_set(word, strlen(word));
}
#endif

} /* namespace aws */
